Bug 958512 - fileconflicts failure on 19 Beta TC1 DVDs (python-django and python-django14)
Summary: fileconflicts failure on 19 Beta TC1 DVDs (python-django and python-django14)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F19Beta, F19BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-05-01 17:25 UTC by Andre Robatino
Modified: 2013-05-13 21:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-13 14:31:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Andre Robatino 2013-05-01 17:25:59 UTC
Description of problem:
See https://bugzilla.redhat.com/show_bug.cgi?id=958436#c8 which is the result of nonamedotc's test on the 19 Beta TC1 x86_64 DVD. I'm assuming the same problem exists on the i386 DVD as well, though I can't complete the test, since for some reason it requires huge resources on this particular compose. Normally, it requires negligible resources and completes in a few seconds.

Test: https://fedoraproject.org/wiki/QA:Testcase_Mediakit_FileConflicts

Version-Release number of selected component (if applicable):
19 Beta TC1 DVDs

Comment 1 Andre Robatino 2013-05-01 17:27:13 UTC
Automatic blocker by by https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers : "File conflicts between two packages on the DVD image without an explicit Conflicts: tag (failures of QA:Testcase_Mediakit_FileConflicts)"

Comment 2 Mukundan Ragavan 2013-05-01 19:21:29 UTC
I do not know if this is necessary anymore. But, here it is for i386 DVD.

# python /home/mukundan/Downloads/os_trials/potential_conflict.py --repofrompath=media,/media -r media
Getting complete filelist for:
file:///media/
579170 files found.

Looking for duplicated filenames:
5292 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (   264/  5292,     8/sec),    0 found - eta 0:09:30
 10% complete (   528/  5292,     8/sec),    0 found - eta 0:08:59
 15% complete (   792/  5292,     9/sec),    0 found - eta 0:08:19
 20% complete (  1056/  5292,     9/sec),    1 found - eta 0:07:48
 25% complete (  1320/  5292,     9/sec),    1 found - eta 0:07:19
 30% complete (  1584/  5292,     9/sec),    2 found - eta 0:06:49
 35% complete (  1848/  5292,     9/sec),    3 found - eta 0:06:18
 40% complete (  2112/  5292,     9/sec),    3 found - eta 0:05:49
 45% complete (  2376/  5292,     8/sec),    3 found - eta 0:05:21
 50% complete (  2640/  5292,     8/sec),    3 found - eta 0:04:55
 55% complete (  2904/  5292,     9/sec),    3 found - eta 0:04:25
 60% complete (  3168/  5292,     8/sec),    3 found - eta 0:03:56
 65% complete (  3432/  5292,     6/sec),    3 found - eta 0:03:32
 70% complete (  3696/  5292,     9/sec),    6 found - eta 0:03:01
 75% complete (  3960/  5292,     9/sec),    6 found - eta 0:02:31
 80% complete (  4224/  5292,     9/sec),    6 found - eta 0:02:00
 85% complete (  4488/  5292,     9/sec),    6 found - eta 0:01:30
 90% complete (  4752/  5292,     8/sec),   10 found - eta 0:01:00
 95% complete (  5016/  5292,     9/sec),   10 found - eta 0:00:31
100% complete (  5280/  5292,     8/sec),   10 found - eta 0:00:01
10 file conflicts found.
3 package conflicts found.

== Package conflicts ==
1:mariadb-5.5.30-1.fc19.i686
community-mysql-5.5.30-5.fc19.i686

2:libpng-devel-1.5.13-2.fc19.i686
libpng12-devel-1.2.50-3.fc19.i686

1:mariadb-server-5.5.30-1.fc19.i686
community-mysql-server-5.5.30-5.fc19.i686


== File conflicts, listed by conflicting packages ==
python-django-1.4.5-2.fc19.noarch
python-django14-1.4.5-5.fc19.noarch
  /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyo
  /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyc
  /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyo

Comment 3 Andre Robatino 2013-05-01 19:27:20 UTC
Thanks for testing the i386 DVD. Usually these repoclosure or fileconflicts problems are the same for 32- and 64-bit, but it's good to be sure, especially since it's a blocker.

Comment 4 Miro Hrončok 2013-05-01 19:55:58 UTC
Why do we have both python-django-1.4.5 and python-django14-1.4.5 in Fedora 19? Isn't python-django14 meant for Fedora 20, because python-django reaches 1.5 there?

Comment 5 Andre Robatino 2013-05-02 02:19:39 UTC
nonamedotc: I'm having the exact same trouble with 19 Beta TC2. Could you do the fileconflicts tests again? Thanks. (If you don't already use delta ISOs, and downloaded both DVD ISOs in full, this would be a good time to use them.)

Comment 6 Mukundan Ragavan 2013-05-02 03:33:22 UTC
Done! Here is x86_64 DVD beta TC2.

# python potential_conflict.py --repofrompath=media,/media -r media
Getting complete filelist for:
file:///media/
539391 files found.

Looking for duplicated filenames:
5292 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (   264/  5292,     8/sec),    0 found - eta 0:09:41
 10% complete (   528/  5292,     8/sec),    0 found - eta 0:09:10
 15% complete (   792/  5292,     9/sec),    0 found - eta 0:08:26
 20% complete (  1056/  5292,     9/sec),    1 found - eta 0:07:55
 25% complete (  1320/  5292,     9/sec),    1 found - eta 0:07:24
 30% complete (  1584/  5292,     9/sec),    2 found - eta 0:06:53
 35% complete (  1848/  5292,     9/sec),    2 found - eta 0:06:23
 40% complete (  2112/  5292,     8/sec),    3 found - eta 0:05:54
 45% complete (  2376/  5292,     9/sec),    3 found - eta 0:05:23
 50% complete (  2640/  5292,     9/sec),    3 found - eta 0:04:52
 55% complete (  2904/  5292,     9/sec),    3 found - eta 0:04:23
 60% complete (  3168/  5292,     9/sec),    3 found - eta 0:03:53
 65% complete (  3432/  5292,     9/sec),    4 found - eta 0:03:24
 70% complete (  3696/  5292,     7/sec),    6 found - eta 0:02:57
 75% complete (  3960/  5292,     9/sec),    6 found - eta 0:02:27
 80% complete (  4224/  5292,     8/sec),    6 found - eta 0:01:58
 85% complete (  4488/  5292,     9/sec),    6 found - eta 0:01:28
 90% complete (  4752/  5292,     8/sec),    9 found - eta 0:00:59
 95% complete (  5016/  5292,     8/sec),   10 found - eta 0:00:30
100% complete (  5280/  5292,     8/sec),   10 found - eta 0:00:01
10 file conflicts found.
3 package conflicts found.

== Package conflicts ==
1:mariadb-5.5.30-1.fc19.x86_64
community-mysql-5.5.30-5.fc19.x86_64

2:libpng-devel-1.5.13-2.fc19.x86_64
libpng12-devel-1.2.50-3.fc19.x86_64

1:mariadb-server-5.5.30-1.fc19.x86_64
community-mysql-server-5.5.30-5.fc19.x86_64


== File conflicts, listed by conflicting packages ==
python-django-1.4.5-2.fc19.noarch
python-django14-1.4.5-5.fc19.noarch
  /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyo
  /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyc
  /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyo

htop showed > 6 GB RAM usage!

Comment 7 Mukundan Ragavan 2013-05-02 03:43:37 UTC
and, here is i386 DVD beta TC2. Again, htop showed >6GB RAM usage.

# python potential_conflict.py --repofrompath=media,/mnt/temp -r media
Getting complete filelist for:
file:///mnt/temp/
566105 files found.

Looking for duplicated filenames:
5292 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (   264/  5292,     8/sec),    0 found - eta 0:09:42
 10% complete (   528/  5292,     8/sec),    0 found - eta 0:09:09
 15% complete (   792/  5292,     9/sec),    0 found - eta 0:08:26
 20% complete (  1056/  5292,     9/sec),    0 found - eta 0:07:53
 25% complete (  1320/  5292,     9/sec),    0 found - eta 0:07:22
 30% complete (  1584/  5292,     9/sec),    1 found - eta 0:06:51
 35% complete (  1848/  5292,     9/sec),    1 found - eta 0:06:19
 40% complete (  2112/  5292,     8/sec),    3 found - eta 0:05:53
 45% complete (  2376/  5292,     8/sec),    3 found - eta 0:05:24
 50% complete (  2640/  5292,     9/sec),    3 found - eta 0:04:54
 55% complete (  2904/  5292,     8/sec),    3 found - eta 0:04:25
 60% complete (  3168/  5292,     8/sec),    3 found - eta 0:03:56
 65% complete (  3432/  5292,     9/sec),    3 found - eta 0:03:26
 70% complete (  3696/  5292,     9/sec),    6 found - eta 0:02:57
 75% complete (  3960/  5292,     9/sec),    6 found - eta 0:02:27
 80% complete (  4224/  5292,     9/sec),    6 found - eta 0:01:58
 85% complete (  4488/  5292,     9/sec),    6 found - eta 0:01:28
 90% complete (  4752/  5292,     8/sec),   10 found - eta 0:00:59
 95% complete (  5016/  5292,     9/sec),   10 found - eta 0:00:30
100% complete (  5280/  5292,     8/sec),   10 found - eta 0:00:01
10 file conflicts found.
3 package conflicts found.

== Package conflicts ==
1:mariadb-5.5.30-1.fc19.i686
community-mysql-5.5.30-5.fc19.i686

2:libpng-devel-1.5.13-2.fc19.i686
libpng12-devel-1.2.50-3.fc19.i686

1:mariadb-server-5.5.30-1.fc19.i686
community-mysql-server-5.5.30-5.fc19.i686


== File conflicts, listed by conflicting packages ==
python-django-1.4.5-2.fc19.noarch
python-django14-1.4.5-5.fc19.noarch
  /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/humanize/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/markup/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/staticfiles/models.pyo
  /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyc
  /usr/lib/python2.7/site-packages/django/contrib/webdesign/models.pyo
  /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyc
  /usr/lib/python2.7/site-packages/django/utils/simplejson/__init__.pyo

Comment 8 Matthias Runge 2013-05-02 06:27:26 UTC
python-django14-1.4.5-7.fc19 has an explicit conflicts with python-django.
The latter is meant to be upgraded for f19 to python-django-1.5 (merge from master).
Still, they conflict.

I find, the more interesting question is: why the heck are they included at the DVD at all???

Comment 9 Andre Robatino 2013-05-03 22:23:40 UTC
Filed bug 959595 for the sudden huge resource requirement for the FileConflicts test.

Comment 10 Adam Williamson 2013-05-03 23:01:37 UTC
If the two packages flagged as having file conflicts also have an explicit Conflicts: , this isn't a blocker. I think that's the case, correct? Just making sure I read comment #8 correctly.

Comment 11 Andre Robatino 2013-05-05 13:08:59 UTC
As discussed on #fedora-qa , I checked using "rpm -qp --conflicts <package.rpm>" on python-django-1.4.5-2.fc19.noarch and python-django14-1.4.5-5.fc19.noarch, and neither one has an explicit Conflicts: (there is supposed to be one in a later version currently in updates-testing, but not in TC3). BTW, as indicated in https://bugzilla.redhat.com/show_bug.cgi?id=847803#c5 , Rhe had the fileconflicts test page correct originally, but reverted it for some reason. Anyway, I'll make sure to do this check in the future.

Comment 12 Adam Williamson 2013-05-05 17:00:53 UTC
As we noted in IRC, it kinda looks like the conflict check script actually checks if there are explicit package Conflicts: tags, so you don't need to do it manually, which may account for the changing of the test case.

Comment 13 Matthias Runge 2013-05-06 06:20:42 UTC
I was talking about python-django14-1.4.5-7 not -2 as you did.
I guess, we can just close this bug, as it seems (for me), we all agree, this is already fixed.

Comment 14 Adam Williamson 2013-05-06 17:40:38 UTC
TC3 still contains:

python-django-1.4.5-2.fc19.noarch
python-django14-1.4.5-5.fc19.noarch

and they still conflict. I don't think this should be marked as closed until the updated python-django and python-django14 are in stable.

Have you checked that your intended upgrade path performs as expected, with the updated packages?

Comment 15 Andre Robatino 2013-05-10 19:35:50 UTC
The conflict appears to be gone with 19 Beta TC4 (testing on i386 DVD). The pathological CPU and RAM use by the fileconflicts test is also gone since I was able to complete the test with only 2 GiB RAM.

[andre@dell-pc tmp]$ ~/potential_conflict.py --repofrompath=media,/opt/tmp/foo1 -r media
Getting complete filelist for:
file:///opt/tmp/foo1/
565947 files found.

Looking for duplicated filenames:
5178 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (   258/  5178,   287/sec),    0 found - eta 0:00:17
 10% complete (   516/  5178,  3008/sec),    0 found - eta 0:00:08
 15% complete (   774/  5178,  1281/sec),    0 found - eta 0:00:06
 20% complete (  1032/  5178,  4027/sec),    0 found - eta 0:00:05
 25% complete (  1290/  5178,  1728/sec),    0 found - eta 0:00:04
 30% complete (  1548/  5178,  2796/sec),    0 found - eta 0:00:03
 35% complete (  1806/  5178,  2605/sec),    0 found - eta 0:00:02
 40% complete (  2064/  5178,  4581/sec),    0 found - eta 0:00:02
 45% complete (  2322/  5178,  3900/sec),    0 found - eta 0:00:02
 50% complete (  2580/  5178,  4041/sec),    0 found - eta 0:00:01
 55% complete (  2838/  5178,  2692/sec),    0 found - eta 0:00:01
 60% complete (  3096/  5178,  4277/sec),    0 found - eta 0:00:01
 65% complete (  3354/  5178,  4130/sec),    0 found - eta 0:00:01
 70% complete (  3612/  5178,  2204/sec),    0 found - eta 0:00:00
 75% complete (  3870/  5178,  4303/sec),    0 found - eta 0:00:00
 80% complete (  4128/  5178,  2806/sec),    0 found - eta 0:00:00
 85% complete (  4386/  5178,  4045/sec),    0 found - eta 0:00:00
 90% complete (  4644/  5178,  4291/sec),    0 found - eta 0:00:00
 95% complete (  4902/  5178,  1311/sec),    0 found - eta 0:00:00
100% complete (  5160/  5178,  2551/sec),    0 found - eta 0:00:00
0 file conflicts found.
1 package conflicts found.

== Package conflicts ==
2:libpng-devel-1.5.13-2.fc19.i686
libpng12-devel-1.2.50-3.fc19.i686


== File conflicts, listed by conflicting packages ==
[andre@dell-pc tmp]$

Comment 16 Mukundan Ragavan 2013-05-10 21:01:04 UTC
Same observations here.

python potential_conflict.py --repofrompath=media,/media -r media
Getting complete filelist for:
file:///media/
539229 files found.

Looking for duplicated filenames:
5178 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (   258/  5178,  2371/sec),    0 found - eta 0:00:02
 10% complete (   516/  5178, 38272/sec),    0 found - eta 0:00:01
 15% complete (   774/  5178, 10107/sec),    0 found - eta 0:00:00
 20% complete (  1032/  5178, 61123/sec),    0 found - eta 0:00:00
 25% complete (  1290/  5178, 21485/sec),    0 found - eta 0:00:00
 30% complete (  1548/  5178, 34455/sec),    0 found - eta 0:00:00
 35% complete (  1806/  5178, 62761/sec),    0 found - eta 0:00:00
 40% complete (  2064/  5178, 34803/sec),    0 found - eta 0:00:00
 45% complete (  2322/  5178, 60722/sec),    0 found - eta 0:00:00
 50% complete (  2580/  5178, 60464/sec),    0 found - eta 0:00:00
 55% complete (  2838/  5178, 34417/sec),    0 found - eta 0:00:00
 60% complete (  3096/  5178, 67259/sec),    0 found - eta 0:00:00
 65% complete (  3354/  5178, 66732/sec),    0 found - eta 0:00:00
 70% complete (  3612/  5178, 12823/sec),    0 found - eta 0:00:00
 75% complete (  3870/  5178, 26827/sec),    0 found - eta 0:00:00
 80% complete (  4128/  5178, 37004/sec),    0 found - eta 0:00:00
 85% complete (  4386/  5178, 63782/sec),    0 found - eta 0:00:00
 90% complete (  4644/  5178, 67259/sec),    0 found - eta 0:00:00
 95% complete (  4902/  5178, 36286/sec),    0 found - eta 0:00:00
100% complete (  5160/  5178, 31532/sec),    0 found - eta 0:00:00
0 file conflicts found.
1 package conflicts found.

== Package conflicts ==
2:libpng-devel-1.5.13-2.fc19.x86_64
libpng12-devel-1.2.50-3.fc19.x86_64


== File conflicts, listed by conflicting packages ==

Comment 17 Matthias Runge 2013-05-13 10:44:50 UTC
OK, reassigning to libpng, since Django is not affected any more.

Comment 18 Tom Lane 2013-05-13 13:45:13 UTC
We had this identical discussion before, see bug #847803.  This was then, and is now, a bug in the checking script: it's complaining that two packages have file conflicts even when they bear explicit Conflicts: labels.

Which component may I reassign this to to show that it's a bug with the test?

Comment 19 Andre Robatino 2013-05-13 14:17:04 UTC
(In reply to comment #18)
> We had this identical discussion before, see bug #847803.  This was then,
> and is now, a bug in the checking script: it's complaining that two packages
> have file conflicts even when they bear explicit Conflicts: labels.
> 
> Which component may I reassign this to to show that it's a bug with the test?

See comment 11 and comment 12 - it looks like the script *does* check, and anyway the other bug was a mistake in that I was mistakenly reporting package conflicts, not file conflicts. And this file conflict (without Conflicts: tags) is fixed in 19 Beta TC4 anyway.

Comment 20 Tom Lane 2013-05-13 14:31:31 UTC
OK, so it was just an error to reassign to libpng instead of closing the bug.  I'm reverting that component change and closing.


Note You need to log in before you can comment on or make changes to this bug.